Package org.optaplanner.core.impl.heuristic.selector.move.generic

## Class GenericMoveSelector<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector<Solution_>
  - - org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector<Solution_>
    - - org.optaplanner.core.impl.heuristic.selector.move.generic.GenericMoveSelector<Solution_>

- All Implemented Interfaces:
    `Iterable<Move<Solution_>>`, `EventListener`, `IterableSelector<Solution_,​Move<Solution_>>`, `MoveSelector<Solution_>`, `Selector<Solution_>`, `PhaseLifecycleListener<Solution_>`, `SolverLifecycleListener<Solution_>`
  Direct Known Subclasses:
    `ChangeMoveSelector`, `KOptMoveSelector`, `PillarChangeMoveSelector`, `PillarSwapMoveSelector`, `SubChainChangeMoveSelector`, `SubChainSwapMoveSelector`, `SwapMoveSelector`, `TailChainSwapMoveSelector`

      public abstract class GenericMoveSelector<Solution_>
      extends AbstractMoveSelector<Solution_>

  Abstract superclass for every generic `MoveSelector`.
  See Also:
    `MoveSelector`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `logger, phaseLifecycleSupport, workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericMoveSelector()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector

      `getSize, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.move.MoveSelector

      `supportsPhaseAndSolverCaching`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### GenericMoveSelector

          public GenericMoveSelector()